<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-408"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20NSString%28AttributedString%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: NSString(AttributedString)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_n_s_string_07_attributed_string_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="category_n_s_string_07_attributed_string_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">NSString(AttributedString)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_n_s_string_09_attributed_string_8h_source.html">NSString+AttributedString.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a6b282a978d1a7d8aafce8631c2827013"><td class="memItemLeft" align="right" valign="top">(NSAttributedString *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_attributed_string_08.html#a6b282a978d1a7d8aafce8631c2827013">stringWithParagraphlineSpeace:paragraphSpacing:textColor:textFont:</a></td></tr>
<tr class="separator:a6b282a978d1a7d8aafce8631c2827013"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abb62119a3ecedc3c75d42c9487de890f"><td class="memItemLeft" align="right" valign="top">(CGFloat)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_attributed_string_08.html#abb62119a3ecedc3c75d42c9487de890f">heightParagraphSpeace:paragraphSpacing:withFont:AndWidth:</a></td></tr>
<tr class="separator:abb62119a3ecedc3c75d42c9487de890f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="abb62119a3ecedc3c75d42c9487de890f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb62119a3ecedc3c75d42c9487de890f">◆&nbsp;</a></span>heightParagraphSpeace:paragraphSpacing:withFont:AndWidth:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) heightParagraphSpeace: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpeace</em></td>
        </tr>
        <tr>
          <td class="paramkey">paragraphSpacing:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>paragraphSpacing</em></td>
        </tr>
        <tr>
          <td class="paramkey">withFont:</td>
          <td></td>
          <td class="paramtype">(UIFont*)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">AndWidth:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>width</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>行高</p>

</div>
</div>
<a id="a6b282a978d1a7d8aafce8631c2827013"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b282a978d1a7d8aafce8631c2827013">◆&nbsp;</a></span>stringWithParagraphlineSpeace:paragraphSpacing:textColor:textFont:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSAttributedString *) stringWithParagraphlineSpeace: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>lineSpacing</em></td>
        </tr>
        <tr>
          <td class="paramkey">paragraphSpacing:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>paragraphSpacing</em></td>
        </tr>
        <tr>
          <td class="paramkey">textColor:</td>
          <td></td>
          <td class="paramtype">(UIColor *)&nbsp;</td>
          <td class="paramname"><em>textcolor</em></td>
        </tr>
        <tr>
          <td class="paramkey">textFont:</td>
          <td></td>
          <td class="paramtype">(UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_n_s_string_09_attributed_string_8h_source.html">NSString+AttributedString.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_n_s_string_09_attributed_string_8m.html">NSString+AttributedString.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_n_s_string_07_attributed_string_08.html">NSString(AttributedString)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>